import { CustomerSegment, MessageCategory } from '../types';
export declare class PnChatMessage {
    category: MessageCategory;
    customerSegment: CustomerSegment;
    agentName: string;
    private robotIcon;
    private blue700;
    getIcon(): any;
    getMessageClass(): string;
    render(): any;
}
